Debian Bug report logs - #532154
"ITP: haskell-hashed-storage -- hashed file storage support code"

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Sun, 7 Jun 2009 06:45:02 UTC

Severity: wishlist

Fixed in version haskell-hashed-storage/0.3.6-1

Done: Marco Túlio Gontijo e Silva <marcot@riseup.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, <wnpp@debian.org>:
Bug#532154; Package wnpp. (Sun, 07 Jun 2009 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, <wnpp@debian.org>. (Sun, 07 Jun 2009 06:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: haskell-hashed-storage -- hashed file storage support code
Date: Sun, 07 Jun 2009 16:35:49 +1000
Package: wnpp
Severity: wishlist

This package is a build dependency for the next version of Darcs.
Thus, this needs to be in Debian before Darcs 2.3 can enter Debian.
If nobody else wants to take this one, I will.

* Package name    : haskell-hashed-storage
  Version         : 0.3.2
  Upstream Author : Petr Rockai <me@mornfall.net>
* URL             : http://hackage.haskell.org/cgi-bin/hackage-scripts/package/hashed-storage
* License         : BSD3
  Programming Lang: Haskell
  Description     : hashed file storage support code

Support code for reading and manipulating hashed file storage (where
each file and directory is associated with a cryptographic hash, for
corruption-resistant storage and fast comparisons).

The supported storage formats include darcs hashed pristine, a plain
filesystem tree and an indexed plain tree (where the index maintains
hashes of the plain files and directories).




Blocking bugs of 532184 added: 532154 Request was from trentbuck@gmail.com to control@bugs.debian.org. (Mon, 08 Jun 2009 05:00:03 GMT) Full text and rfc822 format available.

Blocking bugs of 532154 added: 532166 Request was from trentbuck@gmail.com to control@bugs.debian.org. (Mon, 08 Jun 2009 05:00:05 GMT) Full text and rfc822 format available.

Blocking bugs of 532154 added: 532266 Request was from trentbuck@gmail.com to control@bugs.debian.org. (Mon, 08 Jun 2009 05:03:02 GMT) Full text and rfc822 format available.

Blocking bugs of 532154 removed: 532166 Request was from Trent W.Buck <trentbuck@gmail.com> to control@bugs.debian.org. (Wed, 08 Jul 2009 02:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532154; Package wnpp. (Thu, 16 Jul 2009 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 16 Jul 2009 15:09:02 GMT) Full text and rfc822 format available.

Message #18 received at 532154@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 532154@bugs.debian.org
Subject: I'll package it
Date: Thu, 16 Jul 2009 12:06:50 -0300
Hi.

I'll package it by the haskell group.

Greetings.

-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#532154; Package wnpp. (Fri, 17 Jul 2009 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 17 Jul 2009 13:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 532154@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 532154@bugs.debian.org, control@bugs.debian.org
Subject: Retitling to ITP
Date: Fri, 17 Jul 2009 10:10:00 -0300
retitle 532154 "ITP: haskell-hashed-storage -- hashed file storage support code"
thanks

-- 
marcot
http://marcot.iaaeee.org/




Changed Bug title to `"ITP: haskell-hashed-storage -- hashed file storage support code"' from `RFP: haskell-hashed-storage -- hashed file storage support code'. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 17 Jul 2009 13:18:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 20 Jul 2009 20:09:15 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Sat, 15 Aug 2009 13:42:12 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Sat, 15 Aug 2009 13:42:12 GMT) Full text and rfc822 format available.

Message #32 received at 532154-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 532154-close@bugs.debian.org
Subject: Bug#532154: fixed in haskell-hashed-storage 0.3.6-1
Date: Sat, 15 Aug 2009 13:17:56 +0000
Source: haskell-hashed-storage
Source-Version: 0.3.6-1

We believe that the bug you reported is fixed in the latest version of
haskell-hashed-storage, which is due to be installed in the Debian FTP archive:

haskell-hashed-storage_0.3.6-1.diff.gz
  to pool/main/h/haskell-hashed-storage/haskell-hashed-storage_0.3.6-1.diff.gz
haskell-hashed-storage_0.3.6-1.dsc
  to pool/main/h/haskell-hashed-storage/haskell-hashed-storage_0.3.6-1.dsc
haskell-hashed-storage_0.3.6.orig.tar.gz
  to pool/main/h/haskell-hashed-storage/haskell-hashed-storage_0.3.6.orig.tar.gz
libghc6-hashed-storage-dev_0.3.6-1_amd64.deb
  to pool/main/h/haskell-hashed-storage/libghc6-hashed-storage-dev_0.3.6-1_amd64.deb
libghc6-hashed-storage-doc_0.3.6-1_all.deb
  to pool/main/h/haskell-hashed-storage/libghc6-hashed-storage-doc_0.3.6-1_all.deb
libghc6-hashed-storage-prof_0.3.6-1_amd64.deb
  to pool/main/h/haskell-hashed-storage/libghc6-hashed-storage-prof_0.3.6-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532154@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated haskell-hashed-storage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Jul 2009 12:09:38 -0300
Source: haskell-hashed-storage
Binary: libghc6-hashed-storage-dev libghc6-hashed-storage-prof libghc6-hashed-storage-doc
Architecture: source all amd64
Version: 0.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 libghc6-hashed-storage-dev - hashed file storage support code
 libghc6-hashed-storage-doc - hashed file storage support code; documentation
 libghc6-hashed-storage-prof - hashed file storage support code; profiling libraries
Closes: 532154
Changes: 
 haskell-hashed-storage (0.3.6-1) unstable; urgency=low
 .
   * Initial release. (Closes: #532154)
Checksums-Sha1: 
 18d328826a4946154fbd6f135acadcb594051deb 1760 haskell-hashed-storage_0.3.6-1.dsc
 d5438bc89f6a387887452372d350d6fc5a69d300 33213 haskell-hashed-storage_0.3.6.orig.tar.gz
 56f7e5b21cac87f629da249352fc596b7b3ab221 2430 haskell-hashed-storage_0.3.6-1.diff.gz
 c4e8b657a0d56debbfeb6043dfa9b53f95ce90c3 65340 libghc6-hashed-storage-doc_0.3.6-1_all.deb
 1f02736d2c5f5d545933b6a33d80520d2ee9ae7e 231686 libghc6-hashed-storage-dev_0.3.6-1_amd64.deb
 6d8c2a1eaf265a5c6b5cc39795536b62b8ca072d 298498 libghc6-hashed-storage-prof_0.3.6-1_amd64.deb
Checksums-Sha256: 
 8fdad2b034a9210f37d046ccd842eb8c2b53330b6edda30564c3169f2a8968ac 1760 haskell-hashed-storage_0.3.6-1.dsc
 45a4a8fdbf5a99df710ffa2b35e1ad733b9cbcdeebeab55d50cd6a89fbf410bd 33213 haskell-hashed-storage_0.3.6.orig.tar.gz
 7935892f67cd8cab58efe56d08b170830e1aaee66824d47e91e124c08e6a2df4 2430 haskell-hashed-storage_0.3.6-1.diff.gz
 758715d81451d944712232c349e7fa2a4bea0b07447e1f2705363c1081d68a0c 65340 libghc6-hashed-storage-doc_0.3.6-1_all.deb
 da896d6f6e1d65065158cd23df388cd56f1ab687bc33d331ff913fdebc7dd1e4 231686 libghc6-hashed-storage-dev_0.3.6-1_amd64.deb
 759964e3e4c041d95f1f013a86fa0661f0097c3c3086ef2c387f8bb1a1b7b448 298498 libghc6-hashed-storage-prof_0.3.6-1_amd64.deb
Files: 
 2889805f062e6e7500c6ece23ba73e65 1760 haskell optional haskell-hashed-storage_0.3.6-1.dsc
 f840686bb9ba79e6c808cb7e0596725b 33213 haskell optional haskell-hashed-storage_0.3.6.orig.tar.gz
 5f1b9033f6bfb7603894992915456fe4 2430 haskell optional haskell-hashed-storage_0.3.6-1.diff.gz
 915eafa980f44696994019faa202f8e8 65340 doc optional libghc6-hashed-storage-doc_0.3.6-1_all.deb
 3bbb68ae3d1d2285d641f1c84c71c3d2 231686 haskell optional libghc6-hashed-storage-dev_0.3.6-1_amd64.deb
 b3dad3c2e0e29155c84e8ad229a9e22a 298498 haskell optional libghc6-hashed-storage-prof_0.3.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpkx3UACgkQ9ijrk0dDIGy/CQCgkVDbT2RtzfyWS6X2BTEoTjLN
Hd8AmgOFhsN/L6yGFaYriyAcJFKRDIhT
=p2Xc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Sep 2009 07:39:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:45:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.